---
updatedAt: 2025-09-24T00:03:53.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# List payment links

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/payment-links": {
      "get": {
        "summary": "List payment links",
        "description": "",
        "operationId": "list-payment-links",
        "parameters": [
          {
            "name": "after",
            "in": "query",
            "description": "Cursor pointing to the start of the desired set",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Number of records to return. Accepted values: 1 - 500",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 50
            }
          },
          {
            "name": "since",
            "in": "query",
            "description": "Limit to payment links created after the specified date. Format example: 2021-09-21T22:00:00.000Z",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "until",
            "in": "query",
            "description": "Limit to transactions created before the specified date. Format example: 2021-09-21T22:00:00.000Z",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "You can filter payment links by status: VALID, COMPLETED, EXPIRED, REVOKED",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"resources\": [\n      {\n          \"id\": \"7d4d49e4-a99b-4c18-a58d-b4931c4b79db\",\n          \"status\": \"REVOKED\",\n          \"user\": {\n              \"first_name\": \"Thomas\",\n            \t\"lastt_name\": \"Pichet\",\n              \"external_reference\": \"pay-link-1628151333649190260309651\"\n          },\n          \"link\": \"https://pay.bridgeapi.io/link/452282757c4e8b1e9cc34c4d72cd41325336f1670f678ef6e53af896a80a6bcd\",\n          \"client_reference\": \"ABCDE_FG-HI_12345\",\n          \"transactions\": [\n              {\n                  \"amount\": 10.0,\n                  \"label\": \"Refund 123456\",\n                  \"currency\": \"EUR\",\n                  \"beneficiary\": {\n                      \"first_name\": \"Test\",\n                      \"last_name\": \"Merchant\",\n                      \"iban\": \"FR20XXXXXXXXXXXXXXXXXXXXM76\"\n                  },\n                  \"end_to_end_id\": \"E2E_ID-1234\"\n              }\n          ],\n          \"expired_at\": \"2021-09-03T22:00:00Z\",\n          \"created_at\": \"2021-08-05T08:15:34.035Z\",\n          \"updated_at\": \"2021-08-05T08:57:50.996Z\"\n      },\n      // ...\n    ],\n    \"pagination\": {\n    \"next_uri\": \"/v2/payment-links?after=MjAxNS0xMS0xNjo0NTU3ODE1Mg\"\n  }\n}"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/payment-links' \\\n\t-X GET \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n  -H 'Content-Type: application/json' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```